// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
//
//	スコアの更新確認
//
// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■

class YmsbScoreCheck extends YmsbCheck {

	arrJSONScore = [SbJSON.SCORE_1P, SbJSON.SCORE_2P];
	SCORE_VIEW_ON		= 0;
	SCORE_VIEW_LINKED	= 1;
	SCORE_VIEW_LIVES	= 2;
	SCORE_VIEW_OFF		= 3;

	constructor(vorhBox, moveBox01, moveBox02, moveBoxBottom, moveTxtBottom, ft10Opacity) {
		super();
		this.arrScore		= new Array(2);
		this.arrScore[0]	= new YmsbAnime(1.0, SbCSS.BOX_SCORE_1P, SbCSS.TXT_SCORE_1P,
								vorhBox, moveBox01, YMSB_UP, "0px",
								ANI_DELY_ON_BOX_SCORE, ANI_DELY_ON_TXT_SCORE);
		this.arrScore[1]	= new YmsbAnime(1.0, SbCSS.BOX_SCORE_2P, SbCSS.TXT_SCORE_2P,
								vorhBox, moveBox02, YMSB_UP, "0px",
								ANI_DELY_ON_BOX_SCORE, ANI_DELY_ON_TXT_SCORE);
		this.bottom 		= new YmsbBottom(moveBoxBottom, moveTxtBottom, ft10Opacity);
 		this.currHide   	= YMSB_OFF;
		this.currBottom 	= YMSB_OFF;
	}

	// データ切り分け
	checkData() {
		let newHide		= jsonData[SbJSON.HIDE_SCORE];
		let ft10Score	= this.bottom.ft10.getScore();
		let sideLives	= cMember.getSideLives();
		let sideDeads	= cMember.getSideDeads();
		let newMaxLives	= jsonData[SbJSON.MAX_MEMBER_LIVES];

		// 敗退者データをスコアにするので、1P2Pと入れ替える
		let tmpSideDeads = sideDeads[0];
		sideDeads[0] = sideDeads[1];
		sideDeads[1] = tmpSideDeads;

		if (YMSB_OFF_ON == currScoreBoard) {
			for (let i = 0; i < 2; i++) {
				let newData = jsonData[this.arrJSONScore[i]];
				if		(this.SCORE_VIEW_LINKED == newHide) {
					newData = ft10Score[i];
				}
				else if (this.SCORE_VIEW_LIVES == newHide) {
					newData = sideDeads[i];
					if (0 != newMaxLives) {
						newData = sideLives[i];
					}
				}
				else {
					// nop
				}
				if (this.SCORE_VIEW_OFF != newHide) {
					this.arrScore[i].animeOn(newData);
				}
			}
			this.bottom.animeOn();
		}
		else if (YMSB_ON_OFF == currScoreBoard) {
			for (let i = 0; i < 2; i++) {
				if (this.SCORE_VIEW_OFF != this.currHide) {
					this.arrScore[i].animeOff();
				}
			}
			this.bottom.animeOff();
		}
		else if (YMSB_ON == currScoreBoard) {
			for (let i = 0; i < 2; i++) {
				let newData = jsonData[this.arrJSONScore[i]];
				if		(this.SCORE_VIEW_LINKED == newHide) {
					newData = ft10Score[i];
				}
				else if (this.SCORE_VIEW_LIVES == newHide) {
					newData = sideDeads[i];
					if (0 != newMaxLives) {
						newData = sideLives[i];
					}
				}
				else {
					// nop
				}

				if  (this.SCORE_VIEW_OFF == this.currHide && this.SCORE_VIEW_OFF != newHide ) {
					this.arrScore[i].animeOn(newData);
				}
				else if
					(this.SCORE_VIEW_OFF != this.currHide && this.SCORE_VIEW_OFF == newHide ) {
					this.arrScore[i].animeOff();
				}
				else if
					(this.SCORE_VIEW_OFF != this.currHide && this.arrScore[i].currData != newData) {
					this.arrScore[i].animeUpdate(newData);
				}
			}
			this.bottom.animeUpdate();
		}
		else { // (YMSB_OFF == currScoreBoard)
			// nop
		}
		this.currHide   = newHide;
	}
}