/* ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■

	YMSB
	Copyright YM 2022.

	Twitter @YmBlaze

■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■ */

// ■■ ファイル格納場所
const YMSB_TEMP						= "04_GBVS/";
const YMSB_COMM						= "common/"
const YMSB_URL_IMG					= "imgs/" + YMSB_TEMP;

// ■■ debug
const YMSB_DEBUG					= false;

// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
//
//	各テキストサイズの設定
//
// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
const SB_TXT_WIDTH_TEAM			   	= 380;				// チーム名
const SB_TXT_WIDTH_TEAM_OMIT	   	= SB_TXT_WIDTH_TEAM;
const SB_FONT_SIZE_TEAM			   	= 32;
const SB_FONT_SIZE_TEAM_MIN			= 20;

const SB_TXT_WIDTH_STAGE		   	= 320;				// ステージ名
const SB_FONT_SIZE_STAGE		   	= 22;
const SB_FONT_SIZE_STAGE_MIN	   	= 16;

const SB_TXT_WIDTH_EVENT		   	= 440;				// イベント名
const SB_FONT_SIZE_EVENT		   	= 24;
const SB_FONT_SIZE_EVENT_MIN	   	= 18;

const SB_TXT_WIDTH_NOW			   	= 320;				// 対戦中プレイヤー名
const SB_FONT_SIZE_NOW			   	= 28;
const SB_FONT_SIZE_NOW_MIN		   	= 18;

const SB_TXT_WIDTH_MEMBER		   	= 220;				// 団体戦メンバー
const SB_FONT_SIZE_MEMBER		   	= 24;
const SB_FONT_SIZE_MEMBER_MIN	   	= 18;

const SB_TXT_WIDTH_FT10NAME			= 230;				// 10先スコアのプレイヤー名
const SB_FONT_SIZE_FT10NAME			= 26;
const SB_FONT_SIZE_FT10NAME_MIN		= 16;

// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
//
//	フォント・スキンの設定
//
// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
const arrFonts = [
	[YMSB_FONT_01	, YMSB_FONT_02	, YMSB_FONT_03	, YMSB_FONT_04	, YMSB_FONT_05	, YMSB_FONT_06	, YMSB_FONT_07	, YMSB_FONT_08	] // FONT_NAME
   ,["-2px"			, "0px"			, "-2px"		, "-2px"		, "-2px"		, "-2px"		, "-4px"		, "-4px"		] // FONT_POS_TEAM_NAME
   ,["199px"		, "199px"		, "199px"		, "199px"		, "199px"		, "199px"		, "197px"		, "197px"		] // FONT_POS_NOW_NAME
   ,["0px"			, "4px"			, "0px"			, "0px"			, "0px"			, "0px"			, "-1px"		, "-2px"		] // FONT_POS_SCORE
];
const arrSkin = [
    ["01/",       "02/",		"03/",		"04/",		"05/",		"06/",		"07/",		"08/",		"09/",		]	// SKIN_NUMBER
   ,["#FFFFFF",	"#FFFFFF",	"#FFFFFF",	"#FFFFFF",	"#FFFFFF",	"#FFFFFF",	"#FFFFFF",	"#FFFFFF",	"#000080"	]	// SKIN_SCORE_COLOR_TXT_1P
   ,["#FFFFFF",	"#FFFFFF",	"#FFFFFF",	"#FFFFFF",	"#FFFFFF",	"#FFFFFF",	"#FFFFFF",	"#FFFFFF",	"#800000"	]	// SKIN_SCORE_COLOR_TXT_2P
   ,["#06b0e3",	"#ec6941",	"#AAAAAA",	"#06b0e3",	"#06b0e3",	"#aa3333",	"#AAAAAA",	"#06b0e3",	"#800000"	]	// SKIN_NEXT_COLOR_1P
   ,["#fbe677",	"#06b0e3",	"#AAAAAA",	"#fbe677",	"#fbe677",	"#aa3333",	"#AAAAAA",	"#ec6941",	"#800000"	]	// SKIN_NEXT_COLOR_2P
   ,["#00479D",	"#AA000D",	"#FFFFFF",	"#00479D",	"#00479D",	"#770b01",	"#FFFFFF",	"#00479D",	"#800000"	]	// SKIN_NEXT_BORDER_COLOR_1P	
   ,["#c2a700",	"#00479D",	"#FFFFFF",	"#c2a700",	"#c2a700",	"#770b01",	"#FFFFFF",	"#AA000D",	"#800000"	]	// SKIN_NEXT_BORDER_COLOR_2P	
   ,["#FFFF33",	"#FFFF33",	"#FFFF33",	"#FF3333",	"#FF3333",	"#FFFF33",	"#FFFF33",	"#00479D",	"#800000"	]	// SKIN_MEMBER_BOX_NOW_1P
   ,["#FFFF33",	"#FFFF33",	"#FFFF33",	"#FF3333",	"#FF3333",	"#FFFF33",	"#FFFF33",	"#AA000D",	"#800000"	]	// SKIN_MEMBER_BOX_NOW_2P
   ,["#00479D",	"#AA000D",	"#AAAAAA",	"#00479D",	"#00479D",	"#770b01",	"#AAAAAA",	"#00479D",	"#800000"	]	// SKIN_MEMBER_BOX_1P
   ,["#c2a700",	"#00479D",	"#AAAAAA",	"#c2a700",	"#c2a700",	"#770b01",	"#AAAAAA",	"#AA000D",	"#800000"	]	// SKIN_MEMBER_BOX_2P
   ,["#06b0e3",	"#ec6941",	"#000000",	"#06b0e3",	"#06b0e3",	"#aa3333",	"#000000",	"#06b0e3",	"#800000"	]	// SKIN_MEMBER_BOX_BORDER_1P	
   ,["#fbe677",	"#06b0e3",	"#000000",	"#fbe677",	"#fbe677",	"#aa3333",	"#000000",	"#ec6941",	"#800000"	]	// SKIN_MEMBER_BOX_BORDER_2P	
   ,["0px",		   "0px",		"0px",		"5px",		"0px",		"0px",		"0px",		"0px",		"0px"		   ]	// SKIN_MEMBER_BOX_RADIUS_1P	
   ,["0px",		   "0px",		"0px",		"5px",		"0px",		"0px",		"0px",		"0px",		"0px"		   ]	// SKIN_MEMBER_BOX_RADIUS_2P	
   ,["#FFFFFF",	"#FFFFFF",	"#FFFFFF",	"#FFFFFF",	"#FFFFFF",	"#FFFFFF",	"#FFFFFF",	"#FFFFFF",	"#800000"	]	// SKIN_COLOR_FONT
   ,["#000000",	"#000000",	"#333333",	"#333333",	"#333333",	"#000000",	"#333333",	"#000000",	"#800000"	]	// SKIN_COLOR_FONT_SHADE
];

// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
//
//	共通定数/変数
//
// ■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■

// ■■ 団体戦メンバー表示関連
const YMSB_MEMBER_POSITION_TOP		= 395;

const arrBottomSize = [
// 下段サイズ	下段画像Left値	メンバー表示領域	
 ["1440px",		"240px",		690		] // BOTTOM_SIZE_SHORT
,["1920px",		"0px",			550		] // BOTTOM_SIZE_WIDE
];
const BOTTOM_SIZE_SHORT				= 0;
const BOTTOM_SIZE_WIDE				= 1;
const BOTTOM_SIZE_WIDTH				= 0;
const BOTTOM_SIZE_LEFT				= 1;
const BOTTOM_SIZE_MAX_HEIGHT		= 2;

const YMSB_OFF						= 0;
const YMSB_ON						= 1;

// ■■ アニメーション用パラメータ
const YMSB_UP						= "+";
const YMSB_DOWN						= "-";
const YMSB_LEFT						= "+";
const YMSB_RIGHT					= "-";
const YMSB_VIRT						= 0;
const YMSB_HORI						= 1;

const ANI_MOVE_DEFAULT				= "0px";
const ANI_MOVE_Y_BLOCK_01			= "45px";
const ANI_MOVE_Y_BLOCK_02			= "90px";
const ANI_MOVE_Y_BLOCK_03			= "135px";
const ANI_MOVE_X_MEMBER				= "300px";
const ANI_MOVE_BOX_SIDE				= 240;		// 勝ち星・スコア・ロゴ・メンバー背景

// ■■ 各アニメーション設定
const ANIME_STAGE_BOX				= YMSB_DOWN + ANI_MOVE_Y_BLOCK_01;
const ANIME_STAGE_TXT				= YMSB_UP + ANI_MOVE_Y_BLOCK_01;
const ANIME_EVENT_BOX_01			= YMSB_DOWN + ANI_MOVE_Y_BLOCK_01;
const ANIME_EVENT_TXT_01			= YMSB_DOWN + ANI_MOVE_Y_BLOCK_01;
const ANIME_EVENT_BOX_02			= YMSB_UP   + ANI_MOVE_Y_BLOCK_01;
const ANIME_EVENT_TXT_02			= YMSB_UP   + ANI_MOVE_Y_BLOCK_01;
const ANIME_TEAM_BOX_VH				= YMSB_VIRT;
const ANIME_TEAM_TXT_VH				= YMSB_HORI;
const ANIME_TEAM_BOX_01				= YMSB_UP + ANI_MOVE_Y_BLOCK_03;
const ANIME_TEAM_TXT_01				= YMSB_RIGHT + ANI_MOVE_BOX_SIDE + "px"
const ANIME_TEAM_BOX_02				= YMSB_UP + ANI_MOVE_Y_BLOCK_03;
const ANIME_TEAM_TXT_02				= YMSB_LEFT  + ANI_MOVE_BOX_SIDE + "px"
const ANIME_SCORE_BOX_VH			= YMSB_VIRT;
const ANIME_SCORE_BOX_01			= YMSB_UP + ANI_MOVE_Y_BLOCK_03;
const ANIME_SCORE_BOX_02			= YMSB_UP + ANI_MOVE_Y_BLOCK_03;
const ANIME_BOTTOM_BOX				= YMSB_UP + ANI_MOVE_Y_BLOCK_03;
const ANIME_BOTTOM_TXT				= YMSB_UP + ANI_MOVE_Y_BLOCK_03;
const ANIME_FT10_OPACITY			= 0.8;
const ANIME_NOW_BOX_VH				= YMSB_VIRT;
const ANIME_NOW_BOX_01				= YMSB_DOWN  + ANI_MOVE_Y_BLOCK_03;
const ANIME_NOW_BOX_02				= YMSB_DOWN  + ANI_MOVE_Y_BLOCK_03;
const ANIME_NOW_TXT_VH				= YMSB_HORI;
const ANIME_NOW_TXT_01				= YMSB_RIGHT + ANI_MOVE_BOX_SIDE + "px";
const ANIME_NOW_TXT_02				= YMSB_LEFT  + ANI_MOVE_BOX_SIDE + "px";
const ANIME_STAR_BOX_VH				= YMSB_VIRT;
const ANIME_STAR_BOX_01				= YMSB_DOWN  + ANI_MOVE_Y_BLOCK_03;
const ANIME_STAR_BOX_02				= YMSB_DOWN  + ANI_MOVE_Y_BLOCK_03;
const ANIME_LOGO_BOX_VH				= YMSB_HORI;
const ANIME_LOGO_BOX_01				= YMSB_RIGHT + ANI_MOVE_BOX_SIDE + "px";
const ANIME_LOGO_BOX_02				= YMSB_LEFT  + ANI_MOVE_BOX_SIDE + "px";
const ANIME_SIDE					= YMSB_OFF;

if (YMSB_DEBUG) {
	document.write("<script src=\"js/main/_common.js\"></script> ");
}
else {
	const scriptCommon = document.createElement('script');
	scriptCommon.src ="js/main/_common.js";
	document.body.appendChild(scriptCommon);
}
